Please update for Firefox 6 Rated 5 out of 5 stars

I used this plugin all the time.
Sad it doesn't work with Firefox 6.0.
Please make it compatible with FF 6.

Thanks.

This review is for a previous version of the add-on (1.35).